Bug 612530 - gp-d-s not compatible with Fn-F8
gp-d-s not compatible with Fn-F8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gpointing-device-settings (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 09:11 EDT by Robert de Rooy
Modified: 2011-06-29 09:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:49:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 623916 None None None Never

  None (edit)
Description Robert de Rooy 2010-07-08 09:11:40 EDT
Description of problem:
Starting with Fedora 13, the Fn-F8 key can enable and disable the touchpad and even gives a nice visual (OSD).

The problem is that it uses a different method for enabling and disabling the touchpad then gpointing-device-settings uses. As such it is possible for the user to disable the touchpad in gpointing-device-settings and try to re-enable it with Fn-F8 (which will indicate through OSD that it is enabled) and find it does not actually work.

Version-Release number of selected component (if applicable):
gpointing-device-settings-1.5.1-2.fc13.x86_64

How reproducible:
every time

Steps to Reproduce:
1. disable touchpad with gpointing-device-settings
2. press Fn-F8
3.
  
Actual results:
Touchpad does not work

Expected results:
Touchpad should be re-enabled

Additional info:

I'm not saying this is a bug in gpointing-device-settings, but I have no idea what package is responsible with the Fn-F8 switching, and they really should use the same enable/disable method
Comment 1 Gianluca Sforna 2010-07-09 03:42:12 EDT
I guess this is a bug/RFE for the upstream author.

It would be great if you could raise the issue at:

http://bugzilla.gnome.org/enter_bug.cgi?product=GPointingDeviceSettings

feel free to reference this report and add me in CC so I can update the package as soon as it's implemented
Comment 2 Gianluca Sforna 2010-07-09 05:21:48 EDT
Thanks, you rock :)
Comment 3 Bug Zapper 2011-06-01 10:26:45 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Gianluca Sforna 2011-06-27 09:32:16 EDT
Lately, I orphaned this package but forgot to reassign existing issues. Doing it now
Comment 5 Bug Zapper 2011-06-29 09:49:57 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.